# Get all contact details of a lead

**GET /api/v1/leads/{lead_uuid}/contact-details**




## Servers
- https://api.plannrcrm.com: https://api.plannrcrm.com ()


## Authentication methods
- Personal access token & O auth2


## Parameters

### Path parameters

- **lead_uuid** (string)
  The UUID of the lead.


### Query parameters

- **filter[uuid]** (string)
  Filter by a comma separated list of UUIDs.

- **filter[type]** (string)
  Filter by a comma separated list of types. Valid options are [email, phone_number].

- **sort** (string)
  Field to sort by. Valid fields are [created_at, updated_at, type, name, value]. Negative sign to denote DESC. Defaults to 'created_at'.

- **per_page** (integer)
  Number of results to return with pagination (Default 15. Max 500).



## Responses
### 200


#### Body: application/json (object)
- **data** (array[object])


### 403
Unauthorized

#### Body: application/json (object)
- **message** (string)
  A human-readable description of the error.


### 404
Lead belongs to another firm

#### Body: application/json (object)
- **message** (string)
  A human-readable description of the error.


### 422
Validation error

#### Body: application/json (object)
- **message** (string)
  A human-readable description of the error.

- **errors** (object)
  Validation messages keyed by the field that failed.



[Powered by Bump.sh](https://bump.sh)
